• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

XF 1.4 Patch XF 1.4.5

#1
Hello, at the moment I've xenforo 1.4.5 installed, with patch 1.4.8. I want to install the security fixes and I'm not interested in new features. Which should be the process? Install all security patches version by version from 1.4.8 to 1.4.12? Does this work?
 

Jake B.

Well-known member
#2
I don't think 1.5.5 was a security update. Generaly they have a release for all of the 1.3, 1.4 and 1.5 when it's a security update
 

Jake B.

Well-known member
#4
Hi, thanks for your reply, but I've XF 1.4.5 with patch 1.4.8. XF 1.4.10, XF 1.4.11 and XF 1.4.12 have security fixes.
Ah misread your post. The patches are in the announcement thread for each of the announcements. They may work but it'd be best to try them on a test board first of course :p

https://xenforo.com/community/threads/xenforo-1-4-8-released-includes-security-fix.100156/
https://xenforo.com/community/threads/xenforo-1-4-10-released-security-fix.102201/
https://xenforo.com/community/threads/xenforo-1-4-11-released-security-fix.107126/
https://xenforo.com/community/threads/xenforo-1-4-12-released-security-fix.109641/
 

Chris D

XenForo developer
Staff member
#6
Is there any particular reason you can't just upgrade from 1.4.5 to 1.4.12 properly?

Installing all of those patches may work without upgrading but we can't guarantee that, and I would suggest you test it.
 
#7
Is there any particular reason you can't just upgrade from 1.4.5 to 1.4.12 properly?

Installing all of those patches may work without upgrading but we can't guarantee that, and I would suggest you test it.
Hi Chris, thanks for the reply.
The reason is that I don't have much time, and I'm worried that the templates changes will cause me some headaches. :(